WKSConstructionHeuristic::LongerShortestEdge Class Reference

a comparison operator More...

`#include <WKSConstructionHeuristic.h>`

Inheritance diagram for WKSConstructionHeuristic::LongerShortestEdge:

## Public Member Functions

bool | operator() (const Vertex *v1, const Vertex *v2)

## Detailed Description

lse(v1, v2) is true if the length of the shortest edge of v1 is greater than the length of the shortest edge of v2. If a vertex has Degree 0, the length of its shortest edge is defined to be +Infinity. If both v1 and v2 have degree 0, then the vertex with the greater label is defined to have the "longer shortest edge".

## Member Function Documentation

## operator()()

bool WKSConstructionHeuristic::LongerShortestEdge::operator() | ( | const Vertex * | v1,
|  | const Vertex * | v2 )

The documentation for this class was generated from the following files:

- WKSConstructionHeuristic.h
- WKSConstructionHeuristic.cc